Please write an application with JSF (running in the provided Wildfly Docker container) which realizes the following “Hangman like” game (similar to the equivalent exercise done in the Web Programming course):

    The application has a predefined static list of words. On a web page, the user can initialize the game with a button click, then the code chooses a random string from this list and presents a list of “_” characters, one for each character in the chosen word.
    The user enters a character, the JSF page replaces all “_” with the selected character in the word wherever the character matches (case-insensitive comparison done). Additional difficulty: the word is not shown in normal order, but reversed.
    This algorithm is iterated, until the complete word has been guessed by the user. The number of iterations is counted and written to the output in a success message like “You have found the answer in X steps” (or similar).

The design of your web page is not important; you should focus on the interaction between the JSF page and the related named bean. Please upload a zip archive with your solution code, including a mvn project description (pom.xml) that lets me easily build / deploy with “mvn clean package wildfly:deploy” (you can use the pom.xml from the provided examples, suitably adapted). The solution must run “out of the box” after deployment on the given Docker Wildfly  container.
